summaryrefslogtreecommitdiff
path: root/development/xalan-j/xalan-j.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/xalan-j/xalan-j.SlackBuild')
-rw-r--r--development/xalan-j/xalan-j.SlackBuild82
1 files changed, 82 insertions, 0 deletions
diff --git a/development/xalan-j/xalan-j.SlackBuild b/development/xalan-j/xalan-j.SlackBuild
new file mode 100644
index 0000000000..8ea2848f19
--- /dev/null
+++ b/development/xalan-j/xalan-j.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Copyright 2009 Robert Allen - slacker@slaphappygeeks.com
+# All rights reserved including Creator Endowed Unalienable Rights.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xalan-j
+VERSION=${VERSION:-2_7_1}
+ARCH=i486
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Include API docs in package - adds 60MB (default is no)
+APIDOCS=${APIDOCS:-no}
+# Include samples in package - adds 5MB (default is no)
+SAMPLES=${SAMPLES:-no}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_$VERSION-bin-2jars.tar.gz
+cd ${PRGNAM}_${VERSION}
+chown -R root:root .
+
+mkdir -p $PKG/usr/lib/$PRGNAM-$VERSION
+cp -a *.jar $PKG/usr/lib/$PRGNAM-$VERSION
+# Add convenience symlink
+( cd $PKG/usr/lib ; ln -s $PRGNAM-$VERSION $PRGNAM ; )
+
+mkdir -p $PKG/usr/bin
+cat $CWD/xalanj > $PKG/usr/bin/xalanj
+chmod 0755 $PKG/usr/bin/xalanj
+
+# Add profile scripts to set CLASSPATH properly for all users
+# No, we will *not* config() these
+mkdir -p $PKG/etc/profile.d
+cat $CWD/sh.profile > $PKG/etc/profile.d/xalanj.sh
+cat $CWD/csh.profile > $PKG/etc/profile.d/xalanj.csh
+chmod 0755 $PKG/etc/profile.d/*
+
+if [ "$SAMPLES" != "no" ]; then
+ mkdir -p $PKG/usr/share/$PRGNAM
+ cp -a samples $PKG/usr/share/$PRGNAM
+ cat $CWD/profile.sh.samples >> $PKG/etc/profile.d/xalanj.sh
+ cat $CWD/profile.csh.samples >> $PKG/etc/profile.d/xalanj.csh
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE.txt NOTICE.txt $PKG/usr/doc/$PRGNAM-$VERSION
+[ "$APIDOCS" != "no" ] && cp -a docs $PKG/usr/doc/$PRGNAM-$VERSION/apidocs
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -c n -l y $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz